# Rules for eltdev machine with RealTime additions.
#class eltdevrt inherits eltdev {

#if $elt_role == 'minimal' or $elt_role == 'MINIMAL' {
#        $inherited = eltminimal
#} else {
#	$inherited = eltdev
#}

class eltdevrt inherits eltminimal {
	# Additional packages
	$rtpackages = [
		"kernel-rt-4.18.0-227.rt7.39.el8.x86_64",
		"kernel-rt-core-4.18.0-227.rt7.39.el8.x86_64",
		"rteval-3.0-11.el8.noarch",
		"rteval-common-3.0-11.el8.noarch",
		"rteval-loads-1.4-7.el8.x86_64",
		"rt-setup-2.1-2.el8.x86_64",
		"rt-tests-1.8-6.el8.x86_64",
		"trace-cmd-2.7-8.el8.x86_64",
		"tuna-0.15-5.el8.noarch",
		"tuned-profiles-realtime-2.14.0-3.el8.noarch",
		"kernel-rt-devel-4.18.0-227.rt7.39.el8.x86_64",
		"kernel-rt-modules-4.18.0-227.rt7.39.el8.x86_64",
		"kernel-rt-modules-extra-4.18.0-227.rt7.39.el8.x86_64",
	]

	# Make sure they are installed after the standard kernel, so they 
	# become the default
	package { $rtpackages:
		ensure => "installed",
		require => [ Package["kernel-core-4.18.0-227.el8.x86_64"] ],
		notify => Exec["grubrewrite"]
	}


	# eltdev and jenkins (ELTMGR-614) have to be in wheel and realtime groups
	User["eltdev"] {
		groups => [ 'wheel', 'realtime' ],
	} 
	User["jenkins"] {
		groups => [ 'wheel', 'realtime' ],
	} 

	# Fix contents of file containing the role of the machine
	File_line["elt-realtime"] {
		line => "export ELT_REALTIME=YES",
	}


	service { [ 'avahi-daemon', 'crond', 'dnsmasq', 'lvm2-monitor', 'postfix', 'wpa_supplicant', 'gssproxy', 'cups', 'ModemManager', 'nfs-client.target' ]:
		ensure => stopped,
		enable => false,
	}

	# NTP has to be disabled as PTP is used. Put separately given the importance
	service { [ 'ntpd', 'chronyd' ]:
		ensure => stopped,
		enable => false,
	}

# 
# From The DOC in the ticket, but they are static actually
#
#	service { [ 'rpc-gssd', 'nfs-idmapd', 'rpc-svcgssd', 'systemd-journald', 'systemd-journald.socket' ]:
#		ensure => stopped,
#		enable => false,
#	}

		
}
